summaryrefslogtreecommitdiff
path: root/app-crypt
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-08-05 13:47:00 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-08-05 13:47:00 +0300
commit60f979e7bee11553ca36af89cdaf24c239210b6b (patch)
tree40df36caab510d3c4c635f873ff910bb4ba7166a /app-crypt
parent357b0281a80ec031d4e5c93183691fd96c87d0b8 (diff)
[pinentry*] versiuni noi pentru pinentry
Diffstat (limited to 'app-crypt')
-rw-r--r--app-crypt/pinentry-base/Manifest1
-rw-r--r--app-crypt/pinentry-base/pinentry-base-0.9.5.ebuild84
-rw-r--r--app-crypt/pinentry-gtk2/Manifest1
-rw-r--r--app-crypt/pinentry-gtk2/pinentry-gtk2-0.9.5.ebuild56
-rw-r--r--app-crypt/pinentry-qt4/Manifest1
-rw-r--r--app-crypt/pinentry-qt4/pinentry-qt4-0.9.5.ebuild69
-rw-r--r--app-crypt/pinentry/pinentry-0.9.5.ebuild30
7 files changed, 242 insertions, 0 deletions
diff --git a/app-crypt/pinentry-base/Manifest b/app-crypt/pinentry-base/Manifest
index d3228d66..31b764d0 100644
--- a/app-crypt/pinentry-base/Manifest
+++ b/app-crypt/pinentry-base/Manifest
@@ -1,2 +1,3 @@
DIST pinentry-0.8.3.tar.bz2 430753 SHA256 568b0b09b50b2388a4f94d704d5bcb28718ecd4654ed1acc43ab1f97d921a0ad SHA512 942aad8db63d5e2f7b576ef6286edf6ce5fdb7c2a0a82deb864fa22963b183dd12a235f12277a6dade9d914b5e76302f1ab35ae78b0f595e84fff77d8f417a18 WHIRLPOOL 0d0e905b79eb6d7727f1de57be058b3c3885b577124cb1fdebca4e0b81d085070f1953b307b506a602de4055bdca6886e7f56e17b5d6978e161eaedf170785e2
DIST pinentry-0.9.0.tar.bz2 464272 SHA256 90045a07ab8e1a8e1ecf5d19b51691f195525e579fa5d71d7e92c120b05490ab SHA512 2cc53a5c3852edaf6e940228d9b43fe4709344eba5fe230b7afd22b2c0239d0b258917d75661d80590b2d61c6fe9dac8ad15a0b4a0a0e7fba90a9e1c07364edd WHIRLPOOL 3f77a8aa2d44c7206d877e31088ec927473441e61f06e788330545d75ac489e6e9d5bf0026b23d0824304dad54ce8e61c4571d186df7ad0edc2d644ca3af04ac
+DIST pinentry-0.9.5.tar.bz2 514677 SHA256 6a57fd3afc0d8aaa5599ffcb3ea4e7c42c113a181e8870122203ea018384688c SHA512 31a190cacf45fd3ff5128a6a1a9f317fb09850fd595d5985392ea306ed65fa9232e2203458a9989eaac3b6e9d07199e01557912051f00a9a395cd1db61b44c39 WHIRLPOOL 52e9664d7cf0e804bb14b9586a89aca4037d3324261ac8931ed26365c32ae038b45eca9b7b6637b46f9231ff2db6a9e0a96a611404e48659c7ba009b84c40727
diff --git a/app-crypt/pinentry-base/pinentry-base-0.9.5.ebuild b/app-crypt/pinentry-base/pinentry-base-0.9.5.ebuild
new file mode 100644
index 00000000..636e06b9
--- /dev/null
+++ b/app-crypt/pinentry-base/pinentry-base-0.9.5.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit autotools multilib eutils flag-o-matic
+
+MY_PN=${PN/-base}
+MY_P=${P/-base}
+DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI="mirror://gnupg/${MY_PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="gtk qt4 caps static"
+
+RDEPEND="
+ app-eselect/eselect-pinentry
+ caps? ( sys-libs/libcap )
+ sys-libs/ncurses
+ static? ( >=sys-libs/ncurses-5.7-r5[static-libs,-gpm] )
+ ppc-aix? ( dev-libs/gnulib )
+"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+ epatch "${FILESDIR}/${MY_PN}-0.8.2-ncurses.patch"
+ epatch "${FILESDIR}/${MY_PN}-0.8.2-texi.patch"
+ eautoreconf
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ if [[ ${CHOST} == *-aix* ]] ; then
+ append-flags -I"${EPREFIX}/usr/$(get_libdir)/gnulib/include"
+ append-ldflags -L"${EPREFIX}/usr/$(get_libdir)/gnulib/$(get_libdir)"
+ append-libs -lgnu
+ fi
+
+ econf \
+ --enable-pinentry-tty \
+ --disable-pinentry-gtk2 \
+ --enable-pinentry-curses \
+ --enable-fallback-curses \
+ --disable-pinentry-qt4 \
+ $(use_with caps libcap)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/bin/pinentry || die
+}
+
+pkg_postinst() {
+ if ! has_version 'app-crypt/pinentry-base'; then
+ # || has_version '<app-crypt/pinentry-0.7.3'; then
+ elog "We no longer install pinentry-curses and pinentry-qt SUID root by default."
+ elog "Linux kernels >=2.6.9 support memory locking for unprivileged processes."
+ elog "The soft resource limit for memory locking specifies the limit an"
+ elog "unprivileged process may lock into memory. You can also use POSIX"
+ elog "capabilities to allow pinentry to lock memory. To do so activate the caps"
+ elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set of"
+ elog "your users."
+ fi
+ eselect pinentry update ifunset
+ use gtk && elog "If you want pinentry for Gtk+, please install app-crypt/pinentry-gtk."
+ use qt4 && elog "If you want pinentry for Qt4, please install app-crypt/pinentry-qt4."
+}
+
+pkg_postrm() {
+ eselect pinentry update ifunset
+}
diff --git a/app-crypt/pinentry-gtk2/Manifest b/app-crypt/pinentry-gtk2/Manifest
index f6e8451a..b4d26cee 100644
--- a/app-crypt/pinentry-gtk2/Manifest
+++ b/app-crypt/pinentry-gtk2/Manifest
@@ -1 +1,2 @@
DIST pinentry-0.9.0.tar.bz2 464272 SHA256 90045a07ab8e1a8e1ecf5d19b51691f195525e579fa5d71d7e92c120b05490ab SHA512 2cc53a5c3852edaf6e940228d9b43fe4709344eba5fe230b7afd22b2c0239d0b258917d75661d80590b2d61c6fe9dac8ad15a0b4a0a0e7fba90a9e1c07364edd WHIRLPOOL 3f77a8aa2d44c7206d877e31088ec927473441e61f06e788330545d75ac489e6e9d5bf0026b23d0824304dad54ce8e61c4571d186df7ad0edc2d644ca3af04ac
+DIST pinentry-0.9.5.tar.bz2 514677 SHA256 6a57fd3afc0d8aaa5599ffcb3ea4e7c42c113a181e8870122203ea018384688c SHA512 31a190cacf45fd3ff5128a6a1a9f317fb09850fd595d5985392ea306ed65fa9232e2203458a9989eaac3b6e9d07199e01557912051f00a9a395cd1db61b44c39 WHIRLPOOL 52e9664d7cf0e804bb14b9586a89aca4037d3324261ac8931ed26365c32ae038b45eca9b7b6637b46f9231ff2db6a9e0a96a611404e48659c7ba009b84c40727
diff --git a/app-crypt/pinentry-gtk2/pinentry-gtk2-0.9.5.ebuild b/app-crypt/pinentry-gtk2/pinentry-gtk2-0.9.5.ebuild
new file mode 100644
index 00000000..846e3fa9
--- /dev/null
+++ b/app-crypt/pinentry-gtk2/pinentry-gtk2-0.9.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils flag-o-matic
+
+MY_PN=${PN/-gtk2}
+MY_P=${P/-gtk2}
+DESCRIPTION="Gtk+2 frontend for pinentry"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI="mirror://gnupg/${MY_PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="caps"
+
+RDEPEND="
+ ~app-crypt/pinentry-base-${PV}
+ !app-crypt/pinentry-base[static]
+ caps? ( sys-libs/libcap )
+ x11-libs/gtk+:2
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ econf \
+ --disable-pinentry-tty \
+ --enable-pinentry-gtk2 \
+ --disable-pinentry-curses \
+ --disable-fallback-curses \
+ --disable-pinentry-qt4 \
+ $(use_with caps libcap)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ cd gtk+-2 && emake DESTDIR="${D}" install
+}
+
+pkg_postinst() {
+ eselect pinentry set pinentry-gtk-2
+ # eselect pinentry update ifunset
+}
+
+pkg_postrm() {
+ eselect pinentry update ifunset
+}
diff --git a/app-crypt/pinentry-qt4/Manifest b/app-crypt/pinentry-qt4/Manifest
index f6e8451a..b4d26cee 100644
--- a/app-crypt/pinentry-qt4/Manifest
+++ b/app-crypt/pinentry-qt4/Manifest
@@ -1 +1,2 @@
DIST pinentry-0.9.0.tar.bz2 464272 SHA256 90045a07ab8e1a8e1ecf5d19b51691f195525e579fa5d71d7e92c120b05490ab SHA512 2cc53a5c3852edaf6e940228d9b43fe4709344eba5fe230b7afd22b2c0239d0b258917d75661d80590b2d61c6fe9dac8ad15a0b4a0a0e7fba90a9e1c07364edd WHIRLPOOL 3f77a8aa2d44c7206d877e31088ec927473441e61f06e788330545d75ac489e6e9d5bf0026b23d0824304dad54ce8e61c4571d186df7ad0edc2d644ca3af04ac
+DIST pinentry-0.9.5.tar.bz2 514677 SHA256 6a57fd3afc0d8aaa5599ffcb3ea4e7c42c113a181e8870122203ea018384688c SHA512 31a190cacf45fd3ff5128a6a1a9f317fb09850fd595d5985392ea306ed65fa9232e2203458a9989eaac3b6e9d07199e01557912051f00a9a395cd1db61b44c39 WHIRLPOOL 52e9664d7cf0e804bb14b9586a89aca4037d3324261ac8931ed26365c32ae038b45eca9b7b6637b46f9231ff2db6a9e0a96a611404e48659c7ba009b84c40727
diff --git a/app-crypt/pinentry-qt4/pinentry-qt4-0.9.5.ebuild b/app-crypt/pinentry-qt4/pinentry-qt4-0.9.5.ebuild
new file mode 100644
index 00000000..380bea36
--- /dev/null
+++ b/app-crypt/pinentry-qt4/pinentry-qt4-0.9.5.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit multilib eutils flag-o-matic
+
+MY_PN=${PN/-qt4}
+MY_P=${P/-qt4}
+DESCRIPTION="Qt4 frontend for pinentry"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI="mirror://gnupg/${MY_PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="caps"
+
+RDEPEND="
+ ~app-crypt/pinentry-base-${PV}
+ !app-crypt/pinentry-base[static]
+ caps? ( sys-libs/libcap )
+ >=dev-qt/qtgui-4.4.1:4
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ #if use qt4; then
+ local f
+ for f in qt4/*.moc; do
+ "${EPREFIX}"/usr/bin/moc ${f/.moc/.h} > ${f} || die
+ done
+ #fi
+}
+
+src_configure() {
+ # Issues finding qt on multilib systems
+ export QTLIB="${QTDIR}/$(get_libdir)"
+
+ econf \
+ --disable-pinentry-tty \
+ --disable-pinentry-gtk2 \
+ --disable-pinentry-curses \
+ --disable-fallback-curses \
+ --enable-pinentry-qt4 \
+ $(use_with caps libcap)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ cd qt4 && emake DESTDIR="${D}" install
+}
+
+pkg_postinst() {
+ eselect pinentry set pinentry-qt4
+ # eselect pinentry update ifunset
+}
+
+pkg_postrm() {
+ eselect pinentry update ifunset
+}
diff --git a/app-crypt/pinentry/pinentry-0.9.5.ebuild b/app-crypt/pinentry/pinentry-0.9.5.ebuild
new file mode 100644
index 00000000..83b66515
--- /dev/null
+++ b/app-crypt/pinentry/pinentry-0.9.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Collection of simple PIN/passphrase entry dialogs which utilize the Assuan protocol (meta package)"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+# ncurses use flag is fake, used to mimic portage ebuild USE flags
+IUSE="gtk ncurses qt4 caps static"
+
+RDEPEND="
+ ~app-crypt/pinentry-base-${PV}
+ caps? ( ~app-crypt/pinentry-base-${PV}[caps] )
+ gtk? ( ~app-crypt/pinentry-gtk2-${PV} )
+ qt4? ( ~app-crypt/pinentry-qt4-${PV} )
+ static? ( ~app-crypt/pinentry-base-${PV}[static] )"
+DEPEND=""
+
+REQUIRED_USE="
+ || ( ncurses gtk qt4 )
+ gtk? ( !static )
+ qt4? ( !static )
+ static? ( ncurses )
+"